using System;

namespace Encode
{
	/// <summary>
	/// Contains static method sto do encoding
	/// </summary>
	public class Encoder
	{
		public static string DoEncode ( string input, string key ) 
		{
			if ( key.Length == 0 ) 
			{
				return "No key";
			}
			if ( input.Length == 0 ) 
			{
				return "No input";
			}
			char [] keyChars = key.ToCharArray();
			int keypos = 0 ;
			
			System.Text.StringBuilder result = new System.Text.StringBuilder();
			foreach ( char ch in input ) 
			{
				int cval = ch - 32;
				int pval = keyChars[keypos]-32;
				result.Append((char)((cval ^ pval) + 32));
				keypos++;
				if ( keypos == key.Length ) 
				{
					keypos = 0 ;
				}
			}
			return result.ToString() ;
		}

		public Encoder()
		{
			//
			// TODO: Add constructor logic here
			//
		}
	}
}
